RTEMS: Barrier MP Support

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions
Barrier MP Support
API » Classic » Multiprocessing

## Data Structures
struct | Barrier_MP_Packet

## Enumerations
enum | Barrier_MP_Remote_operations { BARRIER_MP_ANNOUNCE_CREATE = 0 , BARRIER_MP_ANNOUNCE_DELETE = 1 , BARRIER_MP_EXTRACT_PROXY = 2 , BARRIER_MP_WAIT_REQUEST = 3 , BARRIER_MP_WAIT_RESPONSE = 4 , BARRIER_MP_RELEASE_REQUEST = 5 , BARRIER_MP_RELEASE_RESPONSE = 6 }

## Functions
void | _Barrier_MP_Send_process_packet (Barrier_MP_Remote_operations operation, Objects_Id barrier_id, rtems_name name, Objects_Id proxy_id)
| _Barrier_MP_Send_process_packet
rtems_status_code | _Barrier_MP_Send_request_packet (Barrier_MP_Remote_operations operation, Objects_Id barrier_id, rtems_interval timeout)
| _Barrier_MP_Send_request_packet
void | _Barrier_MP_Process_packet (rtems_packet_prefix *the_packet_prefix)
| _Barrier_MP_Process_packet
void | _Barrier_MP_Send_object_was_deleted (Thread_Control *the_proxy)
| _Barrier_MP_Send_object_was_deleted
void | _Barrier_MP_Send_extract_proxy (void *argument)
| _Barrier_MP_Send_extract_proxy

## Detailed Description

This encapsulates functionality related to the transparent multiprocessing support within the Classic API Barrier Manager.

## Enumeration Type Documentation

## ◆ Barrier_MP_Remote_operations

enum Barrier_MP_Remote_operations

The following enumerated type defines the list of remote barrier operations.

## Function Documentation

## ◆ _Barrier_MP_Process_packet()

void _Barrier_MP_Process_packet | ( | rtems_packet_prefix * | the_packet_prefix | ) |

_Barrier_MP_Process_packet

This routine performs the actions specific to this package for the request from another node.

## ◆ _Barrier_MP_Send_extract_proxy()

void _Barrier_MP_Send_extract_proxy | ( | void * | argument | ) |

_Barrier_MP_Send_extract_proxy

This routine is invoked when a task is deleted and it has a proxy which must be removed from a thread queue and the remote node must be informed of this.

## ◆ _Barrier_MP_Send_object_was_deleted()

void _Barrier_MP_Send_object_was_deleted | ( | Thread_Control * | the_proxy | ) |

_Barrier_MP_Send_object_was_deleted

This routine is invoked indirectly by the thread queue when a proxy has been removed from the thread queue and the remote node must be informed of this.

## ◆ _Barrier_MP_Send_process_packet()

void _Barrier_MP_Send_process_packet | ( | Barrier_MP_Remote_operations | operation,
|  | Objects_Id | barrier_id,
|  | rtems_name | name,
|  | Objects_Id | proxy_id
| ) |  |

_Barrier_MP_Send_process_packet

This routine performs a remote procedure call so that a process operation can be performed on another node.

## ◆ _Barrier_MP_Send_request_packet()

rtems_status_code _Barrier_MP_Send_request_packet | ( | Barrier_MP_Remote_operations | operation,
|  | Objects_Id | barrier_id,
|  | rtems_interval | timeout
| ) |  |

_Barrier_MP_Send_request_packet

This routine performs a remote procedure call so that a directive operation can be initiated on another node.